libdata-validate-ip-perl_0.24-1_all.deb


Advertisement

Description

libdata-validate-ip-perl - Perl module for IP validation

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libdata-validate-ip-perl
Package version 0.24
Package release 1
Package architecture all
Package type deb
Installed size 74 B
Download size 15.19 KB
Official Mirror ftp.br.debian.org
Data::Validate::IP collects IP validation routines to make input validation
and untainting easier and more readable. All functions return an untainted
value if the test passes, and undef if it fails. This means that you should
always check for a defined status explicitly. Don't assume the return value
will be true.

Alternatives

Package Version Architecture Repository
libdata-validate-ip-perl_0.24-1_all.deb 0.24 all Debian Main
libdata-validate-ip-perl - - -

Requires

Name Value
libnet-ipv6addr-perl -
libnet-netmask-perl -
libnetaddr-ip-perl -
perl -

Download

Type URL
Binary Package libdata-validate-ip-perl_0.24-1_all.deb
Source Package libdata-validate-ip-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdata-validate-ip-perl deb package:
    # sudo apt-get install libdata-validate-ip-perl

Files

Path
/usr/share/doc/libdata-validate-ip-perl/changelog.Debian.gz
/usr/share/doc/libdata-validate-ip-perl/changelog.gz
/usr/share/doc/libdata-validate-ip-perl/copyright
/usr/share/man/man3/Data::Validate::IP.3pm.gz
/usr/share/perl5/Data/Validate/IP.pm

Changelog

2014-09-14 - Salvatore Bonaccorso <carnil@debian.org>
libdata-validate-ip-perl (0.24-1) unstable; urgency=medium
* Team upload.
* Update Vcs-Browser URL to cgit web frontend
* Add debian/upstream/metadata
* Imported upstream version 0.24
* Update copyright years for debian/* packaging
2014-03-16 - Xavier Guimard <x.guimard@free.fr>
libdata-validate-ip-perl (0.23-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Xavier Guimard ]
* Imported Upstream version 0.23
* Update debian/copyright years
2013-12-16 - Xavier Guimard <x.guimard@free.fr>
libdata-validate-ip-perl (0.22-1) unstable; urgency=low
* Imported Upstream version 0.22
* Change upstream contact to Dave Rolsky only
* Bump Standards-Version to 3.9.5
2013-07-28 - Xavier Guimard <x.guimard@free.fr>
libdata-validate-ip-perl (0.20-1) unstable; urgency=low
* Imported Upstream version 0.20
2013-03-16 - Xavier Guimard <x.guimard@free.fr>
libdata-validate-ip-perl (0.19-1) unstable; urgency=low
* Imported Upstream version 0.19
* Add Dave Rolsky in upstream-contact
2013-03-08 - Xavier Guimard <x.guimard@free.fr>
libdata-validate-ip-perl (0.18-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Xavier Guimard ]
* Imported Upstream version 0.18
* Update debian/copyright (years and format)
* Bump Standards-Version to 3.9.4
* Bump debhelper compatibility to 8
* Add libnetaddr-ip-perl, libtest-requires-perl and libtest-taint-perl in
dependencies
* Remove libtest-pod* from dependencies
2011-01-09 - Salvatore Bonaccorso <carnil@debian.org>
libdata-validate-ip-perl (0.14-1) unstable; urgency=low
* Team upload.
* New upstream release
2010-12-30 - Salvatore Bonaccorso <carnil@debian.org>
libdata-validate-ip-perl (0.12-1) unstable; urgency=low
* Team upload.
* New upstream release
* Refresh debian/copyright:
- Explicitly refer to GPL-1 license text in common-lincenses.
- Refer to Debian systems in general instead of Debian GNU/Linux systems.
* Bump Standards-Version to 3.9.1.
* Convert to '3.0 (quilt)' source package format.
2010-03-05 - gregor herrmann <gregoa@debian.org>
libdata-validate-ip-perl (0.11-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Ryan Niebur ]
* Update ryan52's email address
[ gregor herrmann ]
* New upstream release.
* debian/copyright: update formatting and years of upstream copyright.
* Set Standards-Version to 3.8.4; remove version from perl build dependency.
2009-06-26 - gregor herrmann <gregoa@debian.org>
libdata-validate-ip-perl (0.10-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Maintainer set to Debian Perl Group <pkg-
perl-maintainers@lists.alioth.debian.org> (was: Debian Perl Project
<pkg-perl-maintainers@lists.alioth.debian.org> ).
[ Ryan Niebur ]
* New upstream release
* Add myself to Uploaders
* Debian Policy 3.8.1
* update copyright
* update to dh7 instead of cdbs
[ gregor herrmann ]
* debian/watch: use extended regexp for matching upstream versions.
* Set Standards-Version to 3.8.2 (no changes).
* Add /me to Uploaders.
* Improve short and long description.

See Also

Package Description
libdata-validate-uri-perl_0.06-1_all.deb common URI validation methods
libdata-visitor-perl_0.30-1_all.deb Visitor implementation for Perl data structures
libdata-walk-perl_1.00-2_all.deb Traverse Perl data structures
libdata-xml-clojure_0.0.7-3_all.deb library for reading and writing XML data
libdata-yaml-perl_0.0.6-1_all.deb Easy YAML serialisation of Perl data structures
libdatabase-dumptruck-perl_1.2-1_all.deb document-oriented interface to a SQLite database
libdatapager-perl_0.01-2_all.deb Data::Pager - flexible data pager
libdataquay-dev_0.9-3_amd64.deb Simple RDF for C++ and Qt applications (development files)
libdataquay0_0.9-3_amd64.deb Simple RDF for C++ and Qt applications
libdate-calc-perl_6.3-2_all.deb Perl library for accessing dates
libdate-calc-xs-perl_6.3-2_amd64.deb Perl library for accessing dates
libdate-convert-perl_0.16-3_all.deb Convert Between any two Calendrical Formats
libdate-extract-perl_0.05-1_all.deb module to extract probable dates from strings
libdate-hijri-perl_0.02-1_all.deb Perl module to convert Gregorian dates to Hijri and vice versa
libdate-iso8601-perl_0.004-1_all.deb Perl handling of the three ISO 8601 numerical calendars
Advertisement
Advertisement